## designate-tempest-plugin 0.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython3!=1.13.0,!=1.14.0,>=1.12.0 # http://www.dnspython.org/LICENSE
ddt>=1.0.1 # MIT
testtools>=2.2.0 # MIT
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
designate-tempest-plugin (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:00:38 +0200

designate-tempest-plugin (0.8.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958717).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

## designate-tempest-plugin 0.9.0

=== debian/changelog ===
designate-tempest-plugin (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:28:33 +0200

designate-tempest-plugin (0.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:27:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/designate-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/designate-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## designate-tempest-plugin 0.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.16.0  # http://www.dnspython.org/LICENSE
ddt>=1.0.1 # MIT
testtools>=2.2.0 # MIT
tempest>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
designate-tempest-plugin (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:34:40 +0200

designate-tempest-plugin (0.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:33:28 +0200

designate-tempest-plugin (0.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:45:41 +0200

designate-tempest-plugin (0.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 13:48:08 +0200

designate-tempest-plugin (0.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Mar 2021 21:18:16 +0100

=== debian/control ===
Source: designate-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-dnspython,
 python3-ddt,
 python3-testtools,
 tempest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/designate-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/designate-tempest-plugin.git
Homepage: https://opendev.org/openstack/designate-tempest-plugin

Package: designate-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-dnspython,
 python3-ddt,
 python3-testtools,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Designate plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Designate plugin.

## designate-tempest-plugin 0.13.0

=== debian/changelog ===
designate-tempest-plugin (0.13.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 20 May 2025 14:31:29 +0000

designate-tempest-plugin (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:50:36 +0100

designate-tempest-plugin (0.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 18:13:51 +0100

## designate-tempest-plugin 0.14.0

=== debian/changelog ===
designate-tempest-plugin (0.14.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Tue, 20 May 2025 14:31:58 +0000

designate-tempest-plugin (0.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:37:57 +0200

## designate-tempest-plugin 0.17.0

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,7 @@
 
 dnspython>=1.16.0  # http://www.dnspython.org/LICENSE
 ddt>=1.0.1 # MIT
+oslo.serialization>=2.25.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
 testtools>=2.2.0 # MIT
 tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
designate-tempest-plugin (0.17.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044633).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 17:42:19 +0200

designate-tempest-plugin (0.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:35:19 +0200

designate-tempest-plugin (0.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 15:06:06 +0100

designate-tempest-plugin (0.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:23:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
+ python3-ddt,
  python3-dnspython,
- python3-ddt,
+ python3-oslo.serialization,
+ python3-oslo.utils,
  python3-testtools,
  tempest,
 Standards-Version: 4.5.0
@@ -24,9 +26,11 @@
 Package: designate-tempest-plugin
 Architecture: all
 Depends:
+ python3-ddt,
+ python3-dnspython,
+ python3-oslo.serialization,
+ python3-oslo.utils,
  python3-pbr,
- python3-dnspython,
- python3-ddt,
  python3-testtools,
  tempest,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## designate-tempest-plugin 0.20.0

=== debian/changelog ===
designate-tempest-plugin (0.20.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:34:02 +0200

designate-tempest-plugin (0.20.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 15:10:47 +0200

designate-tempest-plugin (0.19.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:20:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## designate-tempest-plugin 0.22.0

=== debian/changelog ===
designate-tempest-plugin (0.22.0-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 20 May 2025 14:35:38 +0000

designate-tempest-plugin (0.22.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 15:47:48 +0200

designate-tempest-plugin (0.22.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 12:33:52 +0100

designate-tempest-plugin (0.21.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 11:35:38 +0100

## designate-tempest-plugin 0.23.0

=== debian/changelog ===
designate-tempest-plugin (0.23.0-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 20 May 2025 14:36:17 +0000

designate-tempest-plugin (0.23.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090409).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:12:18 +0100

designate-tempest-plugin (0.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 23:01:52 +0200

## designate-tempest-plugin 0.25.0

=== debian/changelog ===
designate-tempest-plugin (0.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:36:48 +0100

designate-tempest-plugin (0.25.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:01:06 +0100

designate-tempest-plugin (0.24.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
- python3-ddt,
  python3-dnspython,
  python3-oslo.serialization,
  python3-oslo.utils,
@@ -26,7 +25,6 @@
 Package: designate-tempest-plugin
 Architecture: all
 Depends:
- python3-ddt,
  python3-dnspython,
  python3-oslo.serialization,
  python3-oslo.utils,

## designate-tempest-plugin 0.26.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 dnspython>=1.16.0  # http://www.dnspython.org/LICENSE
-ddt>=1.0.1 # MIT
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 testtools>=2.2.0 # MIT

=== debian/changelog ===
designate-tempest-plugin (0.26.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:31:13 +0200

designate-tempest-plugin (0.26.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:50:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/designate-tempest-plugin refs/tags/(\d[brc\d\.]+)

## designate-tempest-plugin 0.27.0

=== debian/changelog ===
designate-tempest-plugin (0.27.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:23:06 +0100

designate-tempest-plugin (0.26.0-3) unstable; urgency=medium

  * Clean .pybuild folder (Closes: #1044633).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 22:18:52 +0100
